#!/bin/sh
set -eu

SVG_FILE=${2%.png}.svg

# How crisp a Minetest menu icon appears is influenced by image height
# and width. Low resolutions lead to blurry edges, as Minetest scales
# menu icons up. High resolutions lead to jagged edges, as Minetest
# scales menu icons down. Height & width of 72 pixes seem to work.
>&2 inkscape \
	--file="${SVG_FILE}" \
	--export-png="${3}" \
	--export-area-page \
	--export-height 72 \
	--export-width 72 \
